Search documentation of ExStreamClient

# ExStreamClient.Model.SearchWarning (ExStreamClient v0.1.10)

View Source

Schema representing a SearchWarning

# Summary

## Types

t()

## Functions

decode(map)

Components could just be enums that are typed - so we need to decode those as enums as they will just be stings

nested_components()

# Types

# t()

    @type t() :: %ExStreamClient.Model.SearchWarning{
      channel_search_cids: [String.t()] | nil,
      channel_search_count: integer() | nil,
      warning_code: integer(),
      warning_description: String.t()
    }

# Functions

# decode(map)

Components could just be enums that are typed - so we need to decode those as enums as they will just be stings

# nested_components()